Bug 986544 - Can't print to HP laserjet. Upgrading to F19 doesn't update the HPLIP printer driver plugins: prnt/hpcups/HPCupsFilter.cpp 474: m_Job initialization failed with error = 48 [NEEDINFO]
Can't print to HP laserjet. Upgrading to F19 doesn't update the HPLIP printer...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 08:28 EDT by David Howells
Modified: 2015-02-17 11:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:16:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
twaugh: needinfo? (dhowells)


Attachments (Terms of Use)

  None (edit)
Description David Howells 2013-07-20 08:28:05 EDT
Description of problem:

When upgrading from Fedora 18 to Fedora 19, the hplip package moved to 3.13.6, but its plugins didn't get upgraded as it downloads and installs these itself, independently of rpm.

The resultant effect is that things no longer print.

In cups's error.log, I see:

[Job 227] STATE: +connecting-to-device
[Job 227] STATE: +hplip.plugin-error
[Job 227] prnt/hpcups/HPCupsFilter.cpp 474: m_Job initialization failed with error = 48
[Job 227] PID 7105 (/usr/lib/cups/filter/hpcups) stopped with status 1.
[Job 227] PID 7104 (/usr/lib/cups/filter/gstoraster) stopped with status 13.
[Job 227] STATE: -connecting-to-device
[Job 227] STATE: -media-empty-error,media-jam-error,hplip.plugin-error,cover-open-error,toner-empty-error,other
[Job 227] ready to print
[Job 227] PID 7106 (/usr/lib/cups/backend/hp) exited with no errors.

Error 48 is PLUGIN_LIBRARY_MISSING.

Looking in /var/log/messages, I see:

hpcups[4504]: common/utils.c 129: validate_plugin_version() Plugin version[3.13.3] mismatch with HPLIP version[3.13.6]
hpcups[4504]: common/utils.c 156: Plugin version is not matching
hpcups[4504]: common/utils.c 219: Invalid Library hanlder pLibHandler = NULL.

Searching around, it seems the way to fix this is to run:

    hp-plugin

to download updates to the plugins and then to restart cups.

Can this information please be passed to cups and presented via lpq, eg. rather than saying:

    HP_LaserJet_1022 is ready

say:

    HP_LaserJet_1022 needs a driver upgrade, please run hp-plugin as root

this would make it a lot easier to work out what's wrong.

Version-Release number of selected component (if applicable):

hplip-3.13.6-2.fc19.x86_64
cups-1.6.3-1.fc19.x86_64
Comment 1 Jiri Popelka 2013-07-22 04:58:47 EDT
Yes, this is a known problem.
We've had (bug #531872) a notification in system-config-printer applet whenever hplip sets hplip.plugin-error IPP state reason. Perhaps printer applets in GNOME 3 (not sure about the component) and KDE (kde-print-manager) need this too.
Comment 2 Tim Waugh 2013-07-25 10:18:23 EDT
Looks like gnome-settings-daemon already handles localized state reasons.

David, was this on a desktop machine? Which desktop environment were you using? There ought to have been a notification letting you know what to do.
Comment 3 Fedora End Of Life 2015-01-09 14:01:05 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 11:16:10 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.